Bug 1966241 (CVE-2021-3571) - CVE-2021-3571 linuxptp: wrong length of one-step follow-up in transparent clock
Summary: CVE-2021-3571 linuxptp: wrong length of one-step follow-up in transparent clock
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3571
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1966509 1966517 1979401
Blocks: 1966236 1966242
TreeView+ depends on / blocked
 
Reported: 2021-05-31 17:31 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:25 UTC (History)
4 users (show)

Fixed In Version: linuxptp 3.1.1, linuxptp 2.0.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the ptp4l program of the linuxptp package. When ptp4l is operating on a little-endian architecture as a PTP transparent clock, a remote attacker could send a crafted one-step sync message to cause an information leak or crash. The highest threat from this vulnerability is to data confidentiality and system availability.
Clone Of:
Environment:
Last Closed: 2021-11-09 19:23:27 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4321 0 None None None 2021-11-09 18:13:45 UTC

Description Guilherme de Almeida Suckevicz 2021-05-31 17:31:39 UTC
When ptp4l is operating on a little-endian architecture as a PTP tranparent clock and forwards a one-step sync message, it generates a follow-up message which has an incorrect length, sending data past the message buffer. An attacker with access to the network can send a one-step sync message to cause an information leak or crash.

Comment 4 Mauro Matteo Cascella 2021-07-05 21:39:43 UTC
Created linuxptp tracking bugs for this issue:

Affects: fedora-all [bug 1979401]

Comment 6 Mauro Matteo Cascella 2021-07-06 09:18:55 UTC
This flaw has been rated as having a Moderate impact. The information leak is probably not very useful on its own as ptp4l doesn't handle any sensitive or confidential data like passwords, private keys, etc.

Comment 7 errata-xmlrpc 2021-11-09 18:13:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4321 https://access.redhat.com/errata/RHSA-2021:4321

Comment 8 Product Security DevOps Team 2021-11-09 19:23:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3571


Note You need to log in before you can comment on or make changes to this bug.